<?php get_header(); ?>
    <!-- begin .col-left -->
    <div class="col-left">

    <div id="archive-title">
        <?php if (is_category()) { ?>
                <?php _e("Browsing posts in:", "site5framework"); ?> / <span><?php single_cat_title(); ?></span>
        <?php } elseif (is_tag()) { ?>
                <?php _e("Posts Tagged", "site5framework"); ?> / <span><?php single_cat_title(); ?></span>
        <?php } elseif (is_author()) { ?>
                <?php _e("Posts By", "site5framework"); ?> / <span><?php the_author_meta('display_name', $post->post_author) ?> </span>
        <?php } elseif (is_day()) { ?>
                <?php _e("Daily Archives", "site5framework"); ?> / <span><?php the_time('l, F j, Y'); ?></span>
        <?php } elseif (is_month()) { ?>
                <?php _e("Monthly Archives", "site5framework"); ?> / <span><?php the_time('F Y'); ?></span>
        <?php } elseif (is_year()) { ?>
                <?php _e("Yearly Archives", "site5framework"); ?> / <span><?php the_time('Y'); ?></span>
        <?php } elseif (is_search()) { ?>
                <?php _e("Search Results For", "site5framework"); ?> / <span><?php echo esc_attr(get_search_query()); ?></span>
        <?php } ?>
    </div>

    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

    <!-- begin .post -->
    <article <?php post_class(); ?>>
            <!-- begin .post-thumb -->
            <div class="post-thumb">
                <?php if(has_post_thumbnail()): the_post_thumbnail('single-post-image', array('class'=>'blog-thumb')); else: ?><?php endif; ?>
            </div>
            <!-- end .post-thumb -->

            <div class="post-container clearfix">

                <div class="date">
                    <?php echo '<span>'.get_the_date('d').'</span><br/>'.get_the_date('M');?> <i class="fa fa-play"></i>                   
                </div>

                <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                <!-- begin .post-meta -->
                <div class="meta">
                    <?php _e('by','site5framework') ?> <?php the_author_posts_link(); ?> |
                    <?php _e('Posted in','site5framework') ?> <?php the_category(', '); ?> |
                    <a href="<?php comments_link(); ?>"><?php comments_number( 'нет комментариев', 'один комментарий', '% комментариев' ); ?></a>
                </div>
                <!-- end .post-meta -->

                <div class="post-content">
                    <?php
                    global $more;
                    $more = 0;
                    the_content(__('Подробнее &gt;','site5framework')); ?>
                </div>
            </div>
    </article>
    <!-- end .post -->

    <?php endwhile; ?>

    <!-- begin #pagination -->
    <?php if (function_exists("emm_paginate")) {
        emm_paginate();
    } else { ?>
        <div class="navigation">
            <div class="alignleft"><?php next_posts_link('Older') ?></div>
            <div class="alignright"><?php previous_posts_link('Newer') ?></div>
        </div>
    <?php } ?>
    <!-- end #pagination -->

    <?php endif;?>

    </div>
    <!-- end colleft -->

    <?php get_sidebar(); ?>
<?php get_footer(); ?>